package nc.impl.fa.byzlog;

import nc.bs.framework.common.NCLocator;
import nc.bs.framework.comn.NetStreamContext;
import nc.bs.hz.utils.BillInfoQueryUtil;
import nc.itf.fa.byzlog.IbyzLogRcord;
import nc.itf.uap.IVOPersistence;
import nc.vo.fa.byzLogVO.ByzLogRcordVO;
import nc.vo.pub.BusinessException;
import nc.vo.pub.lang.UFDate;

public class byzLogRcordImpl implements IbyzLogRcord {

	@Override
	public void RcordLogBYZ__RequiresNew(ByzLogRcordVO logvo) throws BusinessException {
//		if(NetStreamContext.getToken()==null)
//			BillInfoQueryUtil.initEnvironment("0001H810000000000HS2", new UFDate());
		getVop().insertVO(logvo);
	}
	
	private IVOPersistence ivopersistence;
	
	private IVOPersistence getVop() {
		if(ivopersistence==null)			
			ivopersistence=NCLocator.getInstance().lookup(IVOPersistence.class);
		return ivopersistence;
	}
}
